# eric7.WebBrowser.Tools.Scripts

Module containing function to generate JavaScript code.

### Global Attributes

None

### Classes

None

### Functions

completeFormData | Function generating a script to fill in form data.
getAllImages | Function generating a script to extract all image tags of a web page.
getAllMetaAttributes | Function generating a script to extract all meta attributes of a web page.
getFeedLinks | Function generating a script to extract all RSS and Atom feed links.
getFormData | Function generating a script to extract data for a form element.
getOpenSearchLinks | Function generating a script to extract all open search links.
scrollToAnchor | Function generating script to scroll to a given anchor.
sendPostData | Function generating a script to send Post data.
setCss | Function generating a script to set a given CSS style sheet.
setStyleSheet | Function generating a script to set a user style sheet.
setupFormObserver | Function generating a script to monitor a web form for user entries.
setupWebChannel | Function generating a script to setup the web channel.
setupWindowObject | Function generating a script to setup window.object add-ons.

## completeFormData

completeFormData(data)

Function generating a script to fill in form data.

data (QByteArray)
  data to be filled into the form

Return:
  script to fill a form

Return Type:
  str

Up

## getAllImages

getAllImages()

Function generating a script to extract all image tags of a web page.

Return:
  script to extract image tags

Return Type:
  str

Up

## getAllMetaAttributes

getAllMetaAttributes()

Function generating a script to extract all meta attributes of a web page.

Return:
  script to extract meta attributes

Return Type:
  str

Up

## getFeedLinks

getFeedLinks()

Function generating a script to extract all RSS and Atom feed links.

Return:
  script to extract all RSS and Atom feed links

Return Type:
  str

Up

## getFormData

getFormData(pos)

Function generating a script to extract data for a form element.

pos (QPoint)
  position to extract data at

Return:
  script to extract form data

Return Type:
  str

Up

## getOpenSearchLinks

getOpenSearchLinks()

Function generating a script to extract all open search links.

Return:
  script to extract all open serach links

Return Type:
  str

Up

## scrollToAnchor

scrollToAnchor(anchor)

Function generating script to scroll to a given anchor.

anchor (str)
  name of the anchor to scroll to

Return:
  script to set the style sheet

Return Type:
  str

Up

## sendPostData

sendPostData(url, data)

Function generating a script to send Post data.

url (QUrl)
  URL to send the data to
data (QByteArray)
  data to be sent

Return:
  script to send Post data

Return Type:
  str

Up

## setCss

setCss(css)

Function generating a script to set a given CSS style sheet.

css (str)
  style sheet

Return:
  script to set the style sheet

Return Type:
  str

Up

## setStyleSheet

setStyleSheet(css)

Function generating a script to set a user style sheet.

css (str)
  style sheet to be applied

Return:
  script to set a user style sheet

Return Type:
  str

Up

## setupFormObserver

setupFormObserver()

Function generating a script to monitor a web form for user entries.

Return:
  script to monitor a web page

Return Type:
  str

Up

## setupWebChannel

setupWebChannel(worldId)

Function generating a script to setup the web channel.

worldId (int)
  world ID for which to setup the channel

Return:
  script to setup the web channel

Return Type:
  str

Up

## setupWindowObject

setupWindowObject()

Function generating a script to setup window.object add-ons.

Return:
  generated script

Return Type:
  str

Up